# urls.py
from django.urls import path, include
from rest_framework.routers import DefaultRouter
from users.views import UserViewSet, DailyRewardViewSet, DailyRewardsListViewSet, BalanceViewSet, LevelsViewSet
from tapdata.views import FarmingViewSet
from stacking.views import UserStakeViewSet, StakeViewSet


""" from tapdata.views import TapDataViewSet
from stacking.views import UserStakeViewSet, StakeViewSet """




router = DefaultRouter()
router.register(r'users', UserViewSet)
router.register(r'dailyreward', DailyRewardViewSet)
router.register(r'dailyrewardlist', DailyRewardsListViewSet)
router.register(r'balance', BalanceViewSet)
router.register(r'levels', LevelsViewSet)
router.register(r'farming', FarmingViewSet)
router.register(r'stacking', UserStakeViewSet)
router.register(r'stake', StakeViewSet)





urlpatterns = [
    path('api/', include(router.urls)),
]
